unit ApplicationImpl;

interface

uses
  ComObj, ActiveX, Collection_TLB, StdVcl;

type
  TApplication = class(TAutoObject, IApplication)
  protected
    function Get_Application: IApplication; safecall;
    function Get_EditControls: IEditControls; safecall;
    { Protected declarations }
  end;

implementation

uses
  ComServ, EditControlsImpl;

function TApplication.Get_Application: IApplication;
begin
  Result := Self
end;

function TApplication.Get_EditControls: IEditControls;
begin
  Result := TEditControls.Create(Self)
end;

initialization
  TAutoObjectFactory.Create(ComServer, TApplication, Class_Application,
    ciMultiInstance, tmApartment);
end.
